tidy_config_count
tidy_get_output
Tidy Functions
PHP Manual

# tidy_error_count

(PHP 5, PECL tidy >= 0.5.2)

tidy_error_count — Returns the Number of Tidy errors encountered for specified document

### Description

int tidy_error_count ( tidy `$object` )

Returns the number of Tidy errors encountered for the specified document.

### Parameters

`object`

  The Tidy object.

### Return Values

Returns the number of errors.

### Examples

Example #1 tidy_error_count() example

`<?php
$html = '<p>test</i>
<bogustag>bogus</bogustag>';
$tidy = tidy_parse_string($html);
echo tidy_error_count($tidy) . "\n"; //1
echo $tidy->errorBuffer;
?>`

The above example will output:

    1
    line 1 column 1 - Warning: missing <!DOCTYPE> declaration
    line 1 column 8 - Warning: discarding unexpected </i>
    line 2 column 1 - Error: <bogustag> is not recognized!
    line 2 column 1 - Warning: discarding unexpected <bogustag>
    line 2 column 16 - Warning: discarding unexpected </bogustag>
    line 1 column 1 - Warning: inserting missing 'title' element

### See Also

- tidy_access_count() - Returns the Number of Tidy accessibility warnings encountered for specified document
- tidy_warning_count() - Returns the Number of Tidy warnings encountered for specified document

tidy_config_count
tidy_get_output
Tidy Functions
PHP Manual